<ng-container *appVar="(hasErrors$ | async) as hasErrors">
  <ng-container *appVar="(isLoading$ | async) as isLoading">
    <ng-container *appVar="(user$ | async) as user">
      <app-page *ngIf="user"
                title="Пользователь"
                [showBackButton]="true"
                (backButtonClicked)="handleBackButtonClick()"
      >
        <div class="row">
          <div class="label title">
            ФИО
          </div>

          <div class="value">
            {{ user.lastName}} {{ user.firstName}} {{ user.middleName}}
          </div>
        </div>

        <div class="row">
          <div class="label title">
            Телефон
          </div>

          <div class="value">
            {{ user.phoneNumber }}
          </div>
        </div>

        <div class="row">
          <div class="label title">
            Email
          </div>

          <div class="value">
            {{ user.email }}
          </div>
        </div>

        <div class="row">
          <div class="label title">
            Статус
          </div>

          <div class="value">
            {{ coerceUserModelToStatus(user) }}
          </div>
        </div>

        <div class="user-actions">
          <button *ngIf="user.roles.includes('NON_CONFIRMED')"
                  mat-flat-button
                  [disabled]="isLoading"
                  (click)="activateUser(user.id)"
                  color="primary"
                  class="fancy-button"
          >
            <span class="sub-title">
              Активировать
            </span>
          </button>
        </div>
      </app-page>
    </ng-container>
  </ng-container>
</ng-container>
